package rest;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

@Path("/calc")
public class Kalkulator {

	@GET
	@Path("/{x}+{y}")
	public long dodaj(@PathParam("x") long a, @PathParam("y") long b) {
		return a+b;
	}
	
	@GET
	@Path("/{x}-{y}")
	public long odejmij(@PathParam("x") long a, @PathParam("y") long b) {
		return a-b;
	}
	
	@GET
	@Path("/{x}*{y}")
	public long pomnoz(@PathParam("x") long a, @PathParam("y") long b) {
		return a*b;
	}
	
	@GET
	@Path("/{x}/{y}")
	public long podziel(@PathParam("x") long a, @PathParam("y") long b) {
		return a/b;
	}
	
}
